Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class AppletArgumentsTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab
                  org.eclipse.jdt.debug.ui.launchConfigurations.AppletArgumentsTab

All Implemented Interfaces:
  org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab

public class AppletArgumentsTab
extends JavaArgumentsTab

A launch configuration tab that displays and edits program arguments, VM arguments, and working directory launch configuration attributes, for applets.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab
`EMPTY_STRING, fPrgmArgumentsLabel, fPrgmArgumentsText, fVMArgumentsBlock, fWorkingDirectoryBlock`

Constructor Summary
`AppletArgumentsTab()`

Method Summary
`protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock` | `createWorkingDirBlock()`
`protected void` | `setHelpContextId()` Set the help context id for this launch config tab.

Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab
`activated, createControl, createVMArgsBlock, deactivated, dispose, getAttributeValueFrom, getErrorMessage, getImage, getMessage, getName, initializeFrom, isValid, performApply, setDefaults, setLaunchConfigurationDialog`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, getControl, getLaunchConfigurationDialog, getLaunchManager, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletArgumentsTab

    public AppletArgumentsTab()

Method Detail

### createWorkingDirBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock createWorkingDirBlock()

  Overrides:
    `createWorkingDirBlock` in class `JavaArgumentsTab`
  See Also:
    `JavaArgumentsTab.createWorkingDirBlock()`

### setHelpContextId

    protected void setHelpContextId()

  Description copied from class: `JavaArgumentsTab`
  Set the help context id for this launch config tab. Subclasses may override this method.

  Overrides:
    `setHelpContextId` in class `JavaArgumentsTab`
  See Also:
    `JavaArgumentsTab.setHelpContextId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.